Main Page Modules Data Structures File List Data Fields Globals Related Pages

# RPMCLI.

## Files

file | manifest.c
file | poptALL.c
| Popt tables for all rpm modes.

file | poptBT.c
| Popt tables for build modes.

file | poptDB.c
| Popt tables for database modes.

file | poptI.c
| Popt tables for install modes.

file | poptQV.c
| Popt tables for query/verify modes.

file | query.c
| Display tag values from package metadata.

file | rpmchecksig.c
| Verify the signature of a package.

file | rpmcli.h
file | rpminstall.c
file | rpmlib.h
file | verify.c
| Verify installed payload files from package metadata.

## RPMTS

void | rpmShowRpmlibProvides (FILE *fp)

## Functions

int | checkSpec (rpmts ts, Header h)
int | rpmReSign (rpmts ts, QVA_t qva, const char **argv)
int | rpmcliImportPubkeys (const rpmts ts, QVA_t qva, const char **argv)

## Function Documentation

int checkSpec | ( | rpmts | ts,
|  | Header | h
| ) | `[static]`

| Definition at line 23 of file build.c. References _, headerIsEntry, rpmpsFree, rpmpsNumProblems, rpmpsPrint, RPMTAG_CONFLICTNAME, RPMTAG_REQUIRENAME, rpmts, rpmtsAddInstallElement, rpmtsCheck, rpmtsClean, and rpmtsProblems. Referenced by buildForTarget.

int rpmcliImportPubkeys | ( | const rpmts | ts,
|  | QVA_t | qva,
|  | const char ** | argv
| ) | `[static]`

Import public key(s).

Todo:
  Implicit --update policy for gpg-pubkey headers.

Parameters:

  ts | transaction set
  qva | mode flags and parameters
  argv | array of pubkey file names (NULL terminated)

Returns:
  0 on success

Definition at line 537 of file rpmchecksig.c.

References _, _free, PGPARMOR_PUBKEY, pgpReadPkts, rpmcliImportPubkey, rpmts, and rpmtsClean.

Referenced by rpmcliSign.

int rpmReSign | ( | rpmts | ts,
|  | QVA_t | qva,
|  | const char ** | argv
| ) | `[static]`

Create/modify elements in signature header.

Parameters:

  ts | transaction set
  qva | mode flags and parameters
  argv | array of package file names (NULL terminated)

Returns:
  0 on success

Definition at line 170 of file rpmchecksig.c.

References _, _free, copyFile, EXIT_FAILURE, Fstrerror, getSignid, headerAddEntry, headerCopyLoad, headerFree, headerFreeData, headerFreeIterator, headerGetEntry, headerInitIterator, headerLink, headerNew, headerNextIterator, headerReload, headerRemoveEntry, hPTR_t, int_32, manageFile, pgpHexStr, readLead, rpmAddSignature, rpmFreeSignature, RPMLOOKUPSIG_QUERY, rpmLookupSignatureType, rpmRC, RPMRC_OK, rpmReadSignature, RPMSIGTYPE_HEADERSIG, RPMTAG_HEADERSIGNATURES, rpmts, rpmWriteSignature, and writeLead.

Referenced by rpmcliSign.

void rpmShowRpmlibProvides | ( | FILE * | fp | ) |

Display current rpmlib feature provides.

Parameters:

  fp | output file handle

Definition at line 54 of file rpmlibprov.c.